<?php

/*
Copyright (C) 2014
by David Sowder <david@sowder.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
*/

// $Id: index.php 483 2014-10-31 13:12:36Z davids $

// Fixup if we have _SERVER[ 'SCRIPT_URL' ] but not _SERVER[ 'REQUEST_URI' ]
if( !isset( $_SERVER[ 'REQUEST_URI' ] ) and isset( $_SERVER[ 'SCRIPT_URL' ] )) {
  $_SERVER[ 'REQUEST_URI' ] = $_SERVER[ 'SCRIPT_URL' ];
}
header( $_SERVER["SERVER_PROTOCOL"] . " 403 Forbidden" );
echo "<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n";
echo "<html><head>\n";
echo "<title>403 Forbidden</title>\n";
echo "</head><body>\n";
echo "<h1>Forbidden</h1>\n";
echo "<p>You don't have permission to access " . htmlentities( $_SERVER[ 'REQUEST_URI' ] ) . " on this server.</p>\n";
echo "</body></html>\n";
die( '' );

?>
